summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2013-11-19 19:28:02 -0600
committer Robby Workman <rworkman@slackbuilds.org>2013-11-20 11:15:49 -0600
commit0307a272b8f49b87acf44fc8775e768e3c8c6c11 (patch)
treec7b2dd318b9a4a380cca82bbd508296c8bd10bf9 /libraries
parentb518e53b254e3e97f0025b50c6f378ac691e69bc (diff)
downloadslackbuilds-0307a272b8f49b87acf44fc8775e768e3c8c6c11.tar.gz
slackbuilds-0307a272b8f49b87acf44fc8775e768e3c8c6c11.tar.xz
libraries/gstreamer1: Added (streaming multimedia framework)
This is parallel-installable with gstreamer-0.9.x provided with Slackware 14.1. Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/gstreamer1/README5
-rw-r--r--libraries/gstreamer1/gstreamer1.SlackBuild103
-rw-r--r--libraries/gstreamer1/gstreamer1.info10
-rw-r--r--libraries/gstreamer1/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/libraries/gstreamer1/README b/libraries/gstreamer1/README
new file mode 100644
index 0000000000..670380989f
--- /dev/null
+++ b/libraries/gstreamer1/README
@@ -0,0 +1,5 @@
+This is GStreamer, a framework for streaming media.
+This builds gstreamer-1.x, which can be installed alongside
+the stock gstreamer package included with Slackware.
+DO NOT replace the Slackware-provide gstreamer package with
+this gstreamer1 package from here!
diff --git a/libraries/gstreamer1/gstreamer1.SlackBuild b/libraries/gstreamer1/gstreamer1.SlackBuild
new file mode 100644
index 0000000000..33500e1e67
--- /dev/null
+++ b/libraries/gstreamer1/gstreamer1.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for gstreamer1
+
+# Copyright 2013 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gstreamer1
+VERSION=${VERSION:-1.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=gstreamer
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL MAINTAINERS NEWS README RELEASE TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/gstreamer1/gstreamer1.info b/libraries/gstreamer1/gstreamer1.info
new file mode 100644
index 0000000000..758dc53e82
--- /dev/null
+++ b/libraries/gstreamer1/gstreamer1.info
@@ -0,0 +1,10 @@
+PRGNAM="gstreamer1"
+VERSION="1.2.0"
+HOMEPAGE="http://gstreamer.freedesktop.org/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/gstreamer/1.2/gstreamer-1.2.0.tar.xz"
+MD5SUM="250b4bec48b0986103f5aab75e43cef9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Robby Workman"
+EMAIL="rworkman@slackbuilds.org"
diff --git a/libraries/gstreamer1/slack-desc b/libraries/gstreamer1/slack-desc
new file mode 100644
index 0000000000..d0bc54d461
--- /dev/null
+++ b/libraries/gstreamer1/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gstreamer1: GStreamer v1.x (streaming multimedia framework)
+gstreamer1:
+gstreamer1: GStreamer is a library that allows the construction of graphs of a
+gstreamer1: media-handling components, ranging from simple Ogg/Vorbis playback
+gstreamer1: to complex audio (mixing) and video (non-linear editing) processing.
+gstreamer1: Applications can take advantage of advances in codec and filter
+gstreamer1: technology transparently. Developers can add new codecs and filters
+gstreamer1: by writing a simple plugin with a clean, generic interface.
+gstreamer1:
+gstreamer1: GStreamer is released under the LGPL.
+gstreamer1: